package cn.com.tenlion.configcolumn.pojo.pos.configcolumn;

/**
 *
 * @ClassName: ConfigColumnPO
 * @Description: 
 * @Author: CodeFactory
 * @Date: 2021-06-26 13:49:46
 * @Version: 3.0
 **/
public class ConfigColumnPO {

    private String configColumnId;
    private String configColumnGroupId;
    private String configColumnCode;
    private String configColumnName;
    private String configColumnSubName;
    private String configColumnTargetMode;
    private String configColumnTargetUrl;
    private String configTableId;
    private String configColumnStatus;
    private Double configColumnOrder;
    private String configColumnDefault;
    private String configColumnType;
    private String configColumnPhoto;
    private String configColumnRemark;
    private Integer configColumnMaxCount;
    private Integer configColumnRowCount;
    private String configColumnRowTargetMode;
    private String configColumnRowTargetUrl;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public String getConfigColumnId() {
        return configColumnId == null ? "" : configColumnId.trim();
    }

    public void setConfigColumnId(String configColumnId) {
        this.configColumnId = configColumnId;
    }

    public String getConfigColumnGroupId() {
        return configColumnGroupId == null ? "" : configColumnGroupId.trim();
    }

    public void setConfigColumnGroupId(String configColumnGroupId) {
        this.configColumnGroupId = configColumnGroupId;
    }

    public String getConfigColumnCode() {
        return configColumnCode == null ? "" : configColumnCode.trim();
    }

    public void setConfigColumnCode(String configColumnCode) {
        this.configColumnCode = configColumnCode;
    }

    public String getConfigColumnName() {
        return configColumnName == null ? "" : configColumnName.trim();
    }

    public void setConfigColumnName(String configColumnName) {
        this.configColumnName = configColumnName;
    }

    public String getConfigColumnSubName() {
        return configColumnSubName == null ? "" : configColumnSubName.trim();
    }

    public void setConfigColumnSubName(String configColumnSubName) {
        this.configColumnSubName = configColumnSubName;
    }

    public String getConfigColumnTargetMode() {
        return configColumnTargetMode == null ? "" : configColumnTargetMode.trim();
    }

    public void setConfigColumnTargetMode(String configColumnTargetMode) {
        this.configColumnTargetMode = configColumnTargetMode;
    }

    public String getConfigColumnTargetUrl() {
        return configColumnTargetUrl == null ? "" : configColumnTargetUrl.trim();
    }

    public void setConfigColumnTargetUrl(String configColumnTargetUrl) {
        this.configColumnTargetUrl = configColumnTargetUrl;
    }

    public String getConfigTableId() {
        return configTableId == null ? "" : configTableId.trim();
    }

    public void setConfigTableId(String configTableId) {
        this.configTableId = configTableId;
    }

    public String getConfigColumnStatus() {
        return configColumnStatus == null ? "" : configColumnStatus.trim();
    }

    public void setConfigColumnStatus(String configColumnStatus) {
        this.configColumnStatus = configColumnStatus;
    }

    public Double getConfigColumnOrder() {
        return configColumnOrder == null ? 0D : configColumnOrder;
    }

    public void setConfigColumnOrder(Double configColumnOrder) {
        this.configColumnOrder = configColumnOrder;
    }

    public String getConfigColumnDefault() {
        return configColumnDefault == null ? "" : configColumnDefault.trim();
    }

    public void setConfigColumnDefault(String configColumnDefault) {
        this.configColumnDefault = configColumnDefault;
    }

    public String getConfigColumnType() {
        return configColumnType == null ? "" : configColumnType.trim();
    }

    public void setConfigColumnType(String configColumnType) {
        this.configColumnType = configColumnType;
    }

    public String getConfigColumnPhoto() {
        return configColumnPhoto == null ? "" : configColumnPhoto.trim();
    }

    public void setConfigColumnPhoto(String configColumnPhoto) {
        this.configColumnPhoto = configColumnPhoto;
    }

    public String getConfigColumnRemark() {
        return configColumnRemark == null ? "" : configColumnRemark.trim();
    }

    public void setConfigColumnRemark(String configColumnRemark) {
        this.configColumnRemark = configColumnRemark;
    }

    public Integer getConfigColumnMaxCount() {
        return configColumnMaxCount == null ? 0 : configColumnMaxCount;
    }

    public void setConfigColumnMaxCount(Integer configColumnMaxCount) {
        this.configColumnMaxCount = configColumnMaxCount;
    }

    public Integer getConfigColumnRowCount() {
        return configColumnRowCount == null ? 0 : configColumnRowCount;
    }

    public void setConfigColumnRowCount(Integer configColumnRowCount) {
        this.configColumnRowCount = configColumnRowCount;
    }

    public String getConfigColumnRowTargetMode() {
        return configColumnRowTargetMode == null ? "" : configColumnRowTargetMode.trim();
    }

    public void setConfigColumnRowTargetMode(String configColumnRowTargetMode) {
        this.configColumnRowTargetMode = configColumnRowTargetMode;
    }

    public String getConfigColumnRowTargetUrl() {
        return configColumnRowTargetUrl == null ? "" : configColumnRowTargetUrl.trim();
    }

    public void setConfigColumnRowTargetUrl(String configColumnRowTargetUrl) {
        this.configColumnRowTargetUrl = configColumnRowTargetUrl;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
